/*
 * This file is part of the Pablo Performance Analysis Environment
 *
 *                                           TM
 * The Pablo Performance Analysis Environment   software is *not* in
 * the public domain.  However, it is freely available without fee for
 * education, research, and non-profit purposes.  By obtaining copies
 * of this and other files that comprise the Pablo Performance Analysis
 * Environment, you, the Licensee, agree to abide by the following
 * conditions and understandings with respect to the copyrighted software:
 * 
 * 1.  The software is copyrighted in the name of the Board of Trustees
 *     of the University of Illinois (UI), and ownership of the software
 *     remains with the UI. 
 *
 * 2.  Permission to use, copy, and modify this software and its documentation
 *     for education, research, and non-profit purposes is hereby granted
 *     to Licensee, provided that the copyright notice, the original author's
 *     names and unit identification, and this permission notice appear on
 *     all such copies, and that no charge be made for such copies.  Any
 *     entity desiring permission to incorporate this software into commercial
 *     products should contact:
 *
 *          Professor Daniel A. Reed                 reed@cs.uiuc.edu
 *          University of Illinois
 *          Department of Computer Science
 *          2413 Digital Computer Laboratory
 *          1304 West Springfield Avenue
 *          Urbana, Illinois  61801
 *          USA
 *
 * 3.  Licensee may not use the name, logo, or any other symbol of the UI
 *     nor the names of any of its employees nor any adaptation thereof in
 *     advertizing or publicity pertaining to the software without specific
 *     prior written approval of the UI.
 *
 * 4.  THE UI MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THE
 *     SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS
 *     OR IMPLIED WARRANTY.
 *
 * 5.  The UI shall not be liable for any damages suffered by Licensee from
 *     the use of this software.
 *
 * 6.  The software was developed under agreements between the UI and the
 *     Federal Government which entitle the Government to certain rights.
 *
 **************************************************************************
 *
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *               University of Illinois at Urbana-Champaign
 *               Department of Computer Science
 *               1304 W. Springfield Avenue
 *               Urbana, IL     61801
 *
 * Copyright (c) 1987-1994
 * The University of Illinois Board of Trustees.
 *      All Rights Reserved.
 *
 * Author: Daniel A. Reed (reed@cs.uiuc.edu)
 * 
 * Project Manager and Principal Investigator:
 *      Daniel A. Reed (reed@cs.uiuc.edu)
 *
 * Funded by: National Science Foundation grants NSF CCR86-57696,
 * NSF CCR87-06653 and NSF CDA87-22836 (Tapestry), NASA ICLASS Contract
 * No. NAG-1-613, DARPA Contract No. DABT63-91-K-0004, by a grant
 * from the Digital Equipment Corporation External Research Program,
 * and by a collaborative research agreement with the Intel Supercomputer
 * Systems Division.
 *
 */
/*
 * PabloPixmaps.h  : Defines pixmaps used in Pablo icons
 * 
 */

#ifdef XPM

/* XPM */
static char * pabloPixmap_xpm[] = {
"99 73 22 1",
" 	c #000000000000",
".	c #585858585858",
"X	c #8B8B72725454",
"o	c #FFFFFFFFFFFF",
"O	c #FFFF70706B6B",
"+	c #00000000FFFF",
"@	c #363664648B8B",
"#	c #8B8B5A5A2A2A",
"$	c #F2F2F2F2F2F2",
"%	c #FFFFDADAB9B9",
"&	c #CCCCCCCCCCCC",
"*	c #8787CECEEBEB",
"=	c #40406868E1E1",
"-	c #FFFFFFFF0000",
";	c #0000FFFF0000",
":	c #FFFF00000000",
"?	c #FFFFA5A50000",
">	c #CDCD85853E3E",
",	c #C1C1CDCDCDCD",
"<	c #EEEE78784242",
"1	c #8B8B44441212",
"2	c #CDCD95950C0C",
"                                                                                                   ",
" .....XXXXXXXXXXXXXXXXXXXXXXXXooooXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX. OOOOOOOOOOOOOOOO ",
" .....XXXXXXXXXXXXXXXXXXXXXXXXooooXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX. OOOOOOOOOOOOOOOO ",
" .....XXXXXXXXXXXXXXXXXXXXXXXooooooXXXXXXXXXX       XXXXXXXXXXXXXXXXXXXXXXXXXXX.. OOOO++++++++OOOO ",
" .....XXXXXXXXXXXXXXXXXXXXXXXoooooo   XXXXX          XXXXXXXX  XXXXXXXXXXXXXXXX.. OOOOO++OOO+++OOO ",
" .....XXXXXXXXXXXXXXXXXXXXXXXooooooo  XXXX            XXXXXXX    XXXXXXXXXXXXXX.. OOOOO++OOOO++OOO ",
" .....XXXXXXXXXXXXXXXXXXXX  oooooooo  XXX              XXXXXX     XXXXXXXXXXXXX.. OOOOO++OOOO++OOO ",
" .....XXXXXXXXXXXXXXXX      ooooooooo X@@    @@@@@X@@@ XXXXXX       XXXXXXXXXXX.. OOOOO++OOOO++OOO ",
" .....XXXXXXXXXXXXXXXX     oooooooooo @@@@@@  @@@  @@XXXXXXXX        XXXXXXXXXX.. OOOOO++OOO++OOOO ",
" .....XXXXXXXXXXXXXXXX         oooooo @@@@@  @@@@@ @@XXXXXXXX          XXXXXXXX.. OOOOO++++++OOOOO ",
" .....XXXXXXXXXX                      @@@@@@@@o #ooooXXXXXXXX            XXXXXX.. OOOOO++OOOOOOOOO ",
" .....XXXXXXXXXX        @@     XX     o@@@@@ooo #ooooXXXXXXX## $$$$$$$$   XXXXX.. OOOOO++OOOOOOOOO ",
" .....XXXXXXXXXX        @@@   XXX    @o@@@@@ooo##ooooXXXX##### $$$$$XX$   XXXXX.. OOOOO++OOOOOOOOO ",
" .....XXXXXXXXXXX       @@@@@@X      @@@@@@@oooooooooo######## $XX$ XX$   XXXXX.. OOOOO++OOOOOOOOO ",
" .....XXXXXXXXXXX   oo@@@@@@@@XXXX@@@@@@@@@@#oooooooo######### $XXXX $$$  XXXXX.. OOOOO++OOOOOOOOO ",
" .....XXXXXXXXXXX   oooooooo@XXXXXX@@@@@@@@@#ooooo #######oo## ooooooooo  XXXXX.. OOOO++++OOOOOOOO ",
" .....XXXXXXXXXXX   ooooooooo@@@@@@@@@@@@@@@#oooo########ooo## ooooooooo  XXXXX.. OOOOOOOOOOOOOOOO ",
" .....XXXXXXXXXXX    ooooooooooooooooo@@@@@@#ooooooooooooooo## ooooooooo  XXXXX.. OOOOOOOOOOOOOOOO ",
" .....XXXXXXXXXXX    oooooooooooo@@@@@@@@@@ #ooooooooooooooo## ooooooooo   XXXX.. OOOOOO++++OOOOOO ",
" .....XXXXXXXXXXXX   oooo@@@@ @@@@@@@@@@@@@ #oooooooooooo   ## ooooooooo$   XXX.. OOOOO++OO++OOOOO ",
" .....XXXXXXXXXXXX   oooo                   ##ooo##o         # oooooooooo   XXX.. OOOOO++OO++OOOOO ",
" .....XXXXXXXXXXXX   oo                  %% ####             # oooooooooo   XXX.. OOOOOOOO+++OOOOO ",
" .....XXXXXXXXXXXX                          ###              # oooooooooo    XX.. OOOOOO++O++OOOOO ",
" .....XXX    &XXXX                    ****  XXX                oooooooooo    XX.. OOOOO++OO++OOOOO ",
" ..          &&&XXX    oo   oo===oooo ****  -XX                oooooooooo$    X.. OOOOO++OO++OOOOO ",
" ..        ;;&&&&XX ooooo   oo:o:ooo         XX               Xooooooooooo    X.. OOOOO++++++OOOOO ",
" ..         ;&&&&&ooooooo   o======o         XXXXXXXXX        Xooooo $$       X.. OOOOOO++OO++OOOO ",
" ..        ;;&&  &ooooooo   oo=oo=:o           XXXXX          X$XXXXXXX       X.. OOOOOOOOOOOOOOOO ",
" .. ; ;;;;;?;&&  &ooooooo   ooo==o:=o ****                    XXXXXXXXX       X.. OOOOOOOOOOOOOOOO ",
" .. ?;;;   ?;&&  &o>>oooo   ooo====== ****                    XXXXXXXXX       X.. OOOO+++OOOOOOOOO ",
" .. ? ;; ; ;;&&  oo>>>>>>             ****                    XXXX            X.. OOOOO++OOOOOOOOO ",
" .. ; ;; ; ?;&&  oo>>>>>>  ***************                                    X.. OOOOO++OOOOOOOOO ",
" .. ;      ?;&&  oo>>>>>>  ***************                    @@@@            X.. OOOOO++OOOOOOOOO ",
" .. ???; ; ?;&&  ooo>>>>> %                                   @@@@@           X.. OOOOO++O+++OOOOO ",
" .. ?;;;   ?;&&  ooo>>>>>                                     @@@@@           X.. OOOOO+++O+++OOOO ",
" .. ? ;; ; ;;&& o###>>>>>> ,, %%%%%%%%% ,,  <                 @@@@            X.. OOOOO++OOO++OOOO ",
" .. ; ;; ; ?;&&#####>>>>>> ,,           ,,  < <  11           @@@@            X.. OOOOO++OOO++OOOO ",
" .. ?      ?;#######>>>>>> ,,,,,,,,,,,,,,, >>>>>>>>       @@@@@@@@            X.. OOOOO++OOO++OOOO ",
" .. ?????; ?;#######>>>>>                   >>>>>>>  #    @@@@@@         o    X.. OOOOO++OOO++OOOO ",
" .. ?;;;   ?;&#######>>>> ,,,,,,,,,,,,,,,,, >>>>>>>  #    @        ooooo111   X.. OOOOO++OOO++OOOO ",
" .. ? ;; ; ;;&&######>>>>                   >>>>>>>>#         ;;;;;;oooo111   X.. OOOOO+++O++OOOOO ",
" .. ; ;; ; ?;&& #### >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>       ::;;;;;:;;;+ooo11   X.. OOOOOO++++OOOOOO ",
" .. ?     ??;&&  ###                 >>>>>>>>>>>>>> 11o :+;+::::::::::;oo11   X.. OOOOOOOOOOOOOOOO ",
" .. ?????;;;;&&  #######                            11o  ;;;++++++++          X.. OOOOOOOOOOOOOOOO ",
" .. ;;;;     &&  ##################                #11o  ;ooooo               ... OOOOOO+++OOOOOOO ",
" ..          &&  #######################           #11oo o                   X... OOOOOOO++OOOOOOO ",
" ..          &&  ################oooooo       -#####11oo         @@@XXXXX    X... OOOOOOO++OOOOOOO ",
" ..          &&  ####    oooooooooooooo     < -#####       @@@@@@@@@XXXX     X... OOOOOOO++OOOOOOO ",
" ..          &&  #### oooooooooooo   oo     < -#####   -  @@@@@@@@@@XXXX     X... OOOOOOO++OOOOOOO ",
" ..          &&  ####ooooo        @@ oo        ####     <      @@@@@XXX      X... OOOOOOO++OOOOOOO ",
" ..          &&  ####oo   @@@@@@@@@@ oo     -   ###XX   <      @@@@@         X... OOOOOOO++OOOOOOO ",
" ..          &&  #### oo  @@@@@@@@@@ oo     -   ###XX   <      @@@@@         X... OOOOOOO++OOOOOOO ",
" ..          &&22####ooo  @@22222222 oo         ###XX   <      @@@@@         X... OOOOOOO++OOOOOOO ",
" ..          &222####oooo @@22222222 oo         ###XX  -      @@@@@@         X... OOOOOOO++OOOOOOO ",
" ....222222 22222####oooo @@22222222 oo     <   ###XX  -      @@@@@@         X... OOOOOOO++OOOOOOO ",
" ....222222222222#### oooo @22222222 oo     <   ###XX  -      @@@@@@         X... OOOOOOO++OOOOOOO ",
" ...222222222222##### oooo @22222222 oo         ###XX   <     @@@@@@         X... OOOOOO++++OOOOOO ",
" ...222222222222##### oooo @22222222 oo     -   ###XX   <     @@@@@@         X... OOOOOOOOOOOOOOOO ",
" ...222222222222##### oooo @22222222 oo     - < ###XX  <<     @@@@@@          ... OOOOOOOOOOOOOOOO ",
" ..2222222222222##### oooo @22222222 oo         ###22   <     @@@@@@          ... OOOOOO++++OOOOOO ",
" ..2222222222222##### ooooo 22222222 oo         ###22  -      @@@@@           ... OOOOO++OO++OOOOO ",
" ..2222222222222##### ooooo 22222222 oo     < - ###22  -      @@@@@@          2.. OOOO++OOOO++OOOO ",
" ..2222222222222##### ooooo 22222222 oo     < - ###22  -      @@@@@@          2.. OOOO++OOOO++OOOO ",
" .22222222222222#####  ooooo 2222222            ###22  -      @@@@@@          2.. OOOO++OOOO++OOOO ",
" .222222222222222222@@ ooooo 2222222 22     -   ####2   <     @@@@@@@         22. OOOO++OOOO++OOOO ",
" .222222222222222222@@ oooo  2222222222     - <#####2  <<    @@@@@@@@         22. OOOO++OOOO++OOOO ",
" 2222222222222222222@@     @22222222222        ##2222   <                     22. OOOOO++OO++OOOOO ",
" 222222222222222222222 2222222222222222         22222         1111      111112222 OOOOOO++++OOOOOO ",
" 22222222222222222222222222222222222222     o   2222 oooo   21111122222 111112222 OOOOOOOOOOOOOOOO ",
" 22222222222222222222222222222222222222222   22222222    o 2211111222222222222222 OOOOOOOOOOOOOOOO ",
" 22222222222222222222222222222222222222222222222222222222  2222222222222222222222 OOOOOOOOOOOOOOOO ",
" 22222222222222222222222222222222222222222222222222222222222222222222222222222222 OOOOOOOOOOOOOOOO ",
"                                                                                                   "};

#endif

#define pabloPixmap_xbm_width 64
#define pabloPixmap_xbm_height 64
static char pabloPixmap_xbm[] = {
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xc0, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x30, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc0, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xc0, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x18, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc0, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00, 0x1e, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0x01, 0x33, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x33, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x33, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x33, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3f, 0x70, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x66, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x60, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0,
   0x0e, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x0c, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x60, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60,
   0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x0c, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x60, 0x0c, 0x1c, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0,
   0x06, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x03, 0x18, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0xe0, 0x01,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x03, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x18, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x06,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x06, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x18, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x06,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x03, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xe0, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff};
